Bug 89794 - [CSS Regions] Layout test fast/regions/get-regions-by-content-node2.html crashing intermittently
Summary: [CSS Regions] Layout test fast/regions/get-regions-by-content-node2.html cras...
Status: REOPENED
Alias: None
Product: WebKit
Classification: Unclassified
Component: WebCore Misc. (show other bugs)
Version: 528+ (Nightly build)
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Mihnea Ovidenie
URL:
Keywords: AdobeTracked
Depends on:
Blocks: 63344
  Show dependency treegraph
 
Reported: 2012-06-22 16:38 PDT by Kenneth Russell
Modified: 2013-06-14 01:54 PDT (History)
5 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Kenneth Russell 2012-06-22 16:38:09 PDT
Layout test fast/regions/get-regions-by-content-node2.html appears to be crashing intermittently. So far I have only seen a couple of crashes on one Chromium Mac bot:

http://build.chromium.org/p/chromium.webkit/builders/Webkit%20Mac10.6/builds/18427

http://test-results.appspot.com/dashboards/flakiness_dashboard.html#tests=fast%2Fregions%2Fget-regions-by-content-node2.html

The stack trace from the crash unfortunately isn't useful; see below.

I'm marking this as a flaky crash in Chromium's TestExpectations for now.


15:40:16.441 1214 worker/2 fast/regions/get-regions-by-content-node2.html crashed, stack trace:
15:40:16.441 1214   	0   DumpRenderTree                      0x1b292ffa 0x0 + 455684090
15:40:16.441 1214   	1   DumpRenderTree                      0x1b2b45b1 0x0 + 455820721
15:40:16.441 1214   	2   libSystem.B.dylib                   0x909bc05b _sigtramp + 43
15:40:16.441 1214   	3   ???                                 0xffffffff 0x0 + 4294967295
15:40:16.441 1214   	4   DumpRenderTree                      0x1b180874 0x0 + 454559860
15:40:16.441 1214   	5   DumpRenderTree                      0x1b17984a 0x0 + 454531146
15:40:16.441 1214   	6   DumpRenderTree                      0x1b1793fd 0x0 + 454530045
15:40:16.441 1214   	7   DumpRenderTree                      0x1bbf5bae 0x0 + 465525678
15:40:16.442 1214   	8   DumpRenderTree                      0x1bbdd915 0x0 + 465426709
15:40:16.442 1214   	9   DumpRenderTree                      0x1bbdd795 0x0 + 465426325
15:40:16.442 1214   	10  DumpRenderTree                      0x1bbdd795 0x0 + 465426325
15:40:16.442 1214   	11  DumpRenderTree                      0x1bbdd795 0x0 + 465426325
15:40:16.442 1214   	12  DumpRenderTree                      0x1bbc0fb2 0x0 + 465309618
15:40:16.442 1214   	13  DumpRenderTree                      0x1bbc189d 0x0 + 465311901
15:40:16.442 1214   	14  DumpRenderTree                      0x1bbd15e7 0x0 + 465376743
15:40:16.442 1214   	15  DumpRenderTree                      0x1b69432c 0x0 + 459883308
15:40:16.442 1214   	16  DumpRenderTree                      0x1b694206 0x0 + 459883014
15:40:16.442 1214   	17  DumpRenderTree                      0x1b478b31 0x0 + 457673521
15:40:16.442 1214   	18  DumpRenderTree                      0x1b2c3aca 0x0 + 455883466
15:40:16.442 1214   	19  DumpRenderTree                      0x1b2c3b06 0x0 + 455883526
15:40:16.442 1214   	20  DumpRenderTree                      0x1b2c3c91 0x0 + 455883921
15:40:16.442 1214   	21  DumpRenderTree                      0x1b2a579d 0x0 + 455759773
15:40:16.442 1214   	22  DumpRenderTree                      0x1b2a5b81 0x0 + 455760769
15:40:16.442 1214   	23  DumpRenderTree                      0x1b28aee5 0x0 + 455651045
15:40:16.442 1214   	24  CoreFoundation                      0x916f142b __CFRunLoopDoSources0 + 1563
15:40:16.442 1214   	25  CoreFoundation                      0x916eeeef __CFRunLoopRun + 1071
15:40:16.442 1214   	26  CoreFoundation                      0x916ee3c4 CFRunLoopRunSpecific + 452
15:40:16.442 1214   	27  CoreFoundation                      0x916ee1f1 CFRunLoopRunInMode + 97
15:40:16.442 1214   	28  HIToolbox                           0x96294e04 RunCurrentEventLoopInMode + 392
15:40:16.442 1214   	29  HIToolbox                           0x96294bb9 ReceiveNextEventCommon + 354
15:40:16.442 1214   	30  HIToolbox                           0x96294a3e BlockUntilNextEventMatchingListInMode + 81
15:40:16.443 1214   	31  AppKit                              0x96c3b595 _DPSNextEvent + 847
15:40:16.443 1214   	32  AppKit                              0x96c3add6 -[NSApplication nextEventMatchingMask:untilDate:inMode:dequeue:] + 156
15:40:16.443 1214   	33  AppKit                              0x96bfd1f3 -[NSApplication run] + 821
15:40:16.443 1214   	34  DumpRenderTree                      0x1b28b2f7 0x0 + 455652087
15:40:16.443 1214   	35  DumpRenderTree                      0x1b28ae0c 0x0 + 455650828
15:40:16.443 1214   	36  DumpRenderTree                      0x1b2a51ff 0x0 + 455758335
15:40:16.443 1214   	37  DumpRenderTree                      0x1b2a4a2d 0x0 + 455756333
15:40:16.443 1214   	38  DumpRenderTree                      0x1c1ff323 0x0 + 471855907
15:40:16.443 1214   	39  DumpRenderTree                      0x1aebf965 0x0 + 451672421
15:40:16.443 1214   	40  DumpRenderTree                      0x1aebc401 0x0 + 451658753
15:40:16.443 1214   	41  DumpRenderTree                      0x1ae9e191 0x0 + 451535249
15:40:16.443 1214   	42  DumpRenderTree                      0x1ae9da85 0x0 + 451533445
15:40:16.443 1214   	43  DumpRenderTree                      0x1ae947b6 0x0 + 451495862
15:40:16.443 1214   ax: 0, bx: 1047a00, cx: 84, dx: d787ad0
15:40:16.443 1214   di: d782dd0, si: 10d87dc, bp: bfffd0b8, sp: bfffd0b4, ss: 23, flags: 10286
15:40:16.443 1214   ip: 1b1271f3, cs: 1b, ds: 23, es: 23, fs: 0, gs: f
15:40:16.447 1197   fast/regions/get-regions-by-content-node2.html -> unexpected crash
Comment 1 Kenneth Russell 2012-06-22 16:42:46 PDT
Committed r121075: <http://trac.webkit.org/changeset/121075>
Comment 2 Andrei Bucur 2012-06-28 08:32:56 PDT
I've looked a little over this a few days ago but I couldn't repro on non-chromium platform (I've run the test 1000 times, no crash). I'll grab the Chromium source code and start digging.
Comment 3 Andrei Bucur 2012-07-02 08:26:20 PDT
I've run the tests on Chromium Win a couple of thousands times :). A few times together with all the battery, maybe the crash was caused by a bug in a previous test. No crash happened.
I'll finally try in on a Mac machine.
Comment 4 Michelangelo De Simone 2013-06-13 20:33:40 PDT
This test no longer exists. Marking closed.
Comment 5 Mihai Balan 2013-06-14 01:54:02 PDT
I'd rather keep it for a little while more, regardless if the test is still in the repo or not.
A crash is a crash and we shouldn't just sweep it under the carpet.